Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.reporting
[Java] Interface Reporting

    public interface Reporting

An object that provides reporting options.

Tasks that produce reports as part of their execution expose configuration options of those reports via these methods. The `Reporting` interface is parameterized, where the parameter denotes the specific type of reporting container that is exposed. The specific type of the reporting container denotes the different types of reports available.

For example, given a task such as:

     class MyTask implements Reporting<MyReportContainer> {
         // implementation
     }

     interface MyReportContainer extends ReportContainer<Report> {
         Report getHtml();
         Report getCsv();
     }

The reporting aspects of such a task can be configured as such:

     task my(type: MyTask) {
         reports {
             html.enabled = true
             csv.enabled = false
         }
     }

See the documentation for the specific `ReportContainer` type for the task for information on report types and options.

Parameters:
  `` - The base type of the report container

Method Summary
`Object` | `getReports()` A ReportContainer instance.
`Object` | `reports(Closure closure)` Allow configuration of the report container by closure.

Method Detail

### getReports

    public Object getReports()

  A ReportContainer instance.

  Implementors specify a specific implementation of ReportContainer that describes the types of reports that are available.

  Returns:
    The report container

### reports

    public Object reports(Closure closure)

  Allow configuration of the report container by closure.

       reports {
         html {
           enabled false
         }
         xml.destination "build/reports/myReport.xml"
       }

  Parameters:
    `closure` - The configuration
  Returns:
    The report container

Gradle API 1.10